import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.net.Socket;

/**
 * Ein Empfangsprozess fr den Chatclient.
 * 
 * @author Bernd Gramlich. 
 * @version 2014-12-09
 */
public class ClientEmpfangsProzess implements Runnable
{
    private Socket meinSocket;

    /**
     * Konstruktor.
     * Verbinde Dich an den angegebenen Socket.
     */
    public ClientEmpfangsProzess (Socket s)
    { 
        meinSocket = s;
    }

    /**
     * Ablaufplan.
     * Lies und echoe vom Server, bis er "Bye." sendet.
     */
    public void run ()
    { 
        try 
        {
            /*
             * Datenstrom vom Server sowie von der Tastatur.
             */
            BufferedReader liesVomServer   = new BufferedReader (new InputStreamReader (meinSocket.getInputStream ()));

            /*
             * Ausgabezeile.
             */
            String serverZeile;

            /*
             * Will der Server aufhren?
             */

            /*
             * Chatte, solange der Server sendet und solange er sich
             * nicht verabschiedet.
             */  
            serverZeile = liesVomServer.readLine ();

            while (serverZeile != null && !serverZeile.equals ("Bye."))
            {
                System.out.println (serverZeile);

                serverZeile = liesVomServer.readLine ();
            }

            /*
             * Schliee den Datenstrom und den Socket.
             */
            liesVomServer.close ();
            meinSocket.close ();
        }
        catch (IOException e) 
        {
            System.err.println ("Keine Verbindung beim Empfangen.");
        }
    }
}